#!/usr/bin/env python

"Start the demonstration program."

import os, sys

# Try and open the application in a Web browser.
# The preferred module is Paul's proposed desktop module - see #1301512 in
# the Python SourceForge project: http://www.python.org/sf?id=1301512

if "--nobrowser" not in sys.argv:
    print "Opening a browser to show the application."
    print "If this fails, specify --nobrowser to turn it off."
    try:
        import desktop
    except ImportError:
        import webbrowser as desktop

    desktop.open("http://localhost:8080")

# Find out where WebStack's distribution directory is.

cwd = os.getcwd()
parts = os.path.split(cwd)
if parts[-1] == "tools":
    parts = parts[:-1]
base = os.path.join(*parts)

# Set up the environment and run the demo program.

pythonpath = os.environ.get("PYTHONPATH")
if pythonpath:
    pythonpath = pythonpath + os.pathsep
else:
    pythonpath = ""

os.environ["PYTHONPATH"] = "%s%s%s%s" % (pythonpath, base, os.pathsep, os.path.join(base, "examples", "Common"))
os.system("%s %s %s" % (sys.executable, os.path.join(base, "examples", "BaseHTTPRequestHandler", "DemoApp.py"),
    " ".join(sys.argv[1:])))

# vim: tabstop=4 expandtab shiftwidth=4
